Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007725OCamlmiscpublic2018-02-13 15:442018-05-10 14:15
Reportershindere 
Assigned Togasche 
PrioritynormalSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.07.0+dev/beta2 
Target Version4.07.0+dev/beta2Fixed in Version4.08.0+dev 
Summary0007725: AFL test broken
DescriptionWhen actually ran (afl-showmap available and compiler configured with -afl-instrument) this test fails. Was not able to find a version on trunk where this works, not even after GPR#1345 was merged, whereas it was supposed to fix the "class" test which is the one that is broken.
Steps To Reproduce./configure -afl-instrument
make world.opt
cd testsuite
make one DIR=tests/afl-instrumentation
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0018872)
gasche (developer)
2018-02-13 16:40

The tests are known to work when `./configure -afl-instrument` is *not* used. It would be correct to disable them when `./configure -afl-instrument` was set.

(Note: configure-time `./configure -afl-instrument` is *not* necessary to enable compilation-time -afl-instrument on a file-by-file basis.)
(0019087)
stedolan (developer)
2018-05-02 16:20

Apologies that this took me so long to get around to! There's a fix in GPR#1754 now.
(0019110)
stedolan (developer)
2018-05-10 11:50

GPR#1754 merged, so this is fixed.

- Issue History
Date Modified Username Field Change
2018-02-13 15:44 shindere New Issue
2018-02-13 16:40 gasche Note Added: 0018872
2018-02-13 16:40 gasche Status new => confirmed
2018-05-02 16:20 stedolan Note Added: 0019087
2018-05-10 11:50 stedolan Note Added: 0019110
2018-05-10 14:15 gasche Status confirmed => resolved
2018-05-10 14:15 gasche Fixed in Version => 4.08.0+dev
2018-05-10 14:15 gasche Resolution open => fixed
2018-05-10 14:15 gasche Assigned To => gasche


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker